Subject: Re; Least Favortite Plants

From: [email-masked] (William Langham)
Date: 4 Mar 1995 21:15:25 -0500

I have something that I call Pokeweed that is absoltely impossible to 
eradicate.  When I try to dig it out the root stems braek and the plant 
seems to be able to regenerate from the tiniest remaining remnat. :-(

I've tried chemicals but nothing seems strong enuf to eradicate this pest.
Any help would be appreciated.

Bill

--